gdcm::network::AAssociateRQPDU Class Reference

AAssociateRQPDU. More...

`#include <gdcmAAssociateRQPDU.h>`

Inheritance diagram for gdcm::network::AAssociateRQPDU:
[legend]
Collaboration diagram for gdcm::network::AAssociateRQPDU:
[legend]

## Public Types

typedef std::vector< PresentationContextRQ > | PresentationContextArrayType
typedef std::vector< PresentationContextRQ >::size_type | SizeType

## Public Member Functions

| AAssociateRQPDU ()
| AAssociateRQPDU (const AAssociateRQPDU &pdu)
void | AddPresentationContext (PresentationContextRQ const &pc)
std::string | GetCalledAETitle () const
std::string | GetCallingAETitle () const
SizeType | GetNumberOfPresentationContext () const
PresentationContextRQ const & | GetPresentationContext (SizeType i) const
const PresentationContextRQ * | GetPresentationContextByAbstractSyntax (AbstractSyntax const &absyn) const
const PresentationContextRQ * | GetPresentationContextByID (uint8_t i) const
PresentationContextArrayType const & | GetPresentationContexts ()
const UserInformation & | GetUserInformation () const
bool | IsLastFragment () const override
void | Print (std::ostream &os) const override
std::istream & | Read (std::istream &is) override
void | SetCalledAETitle (const char calledaetitle[16])
| Set the Called AE Title.
void | SetCallingAETitle (const char callingaetitle[16])
| Set the Calling AE Title.
void | SetUserInformation (UserInformation const &ui)
size_t | Size () const override
const std::ostream & | Write (std::ostream &os) const override
Public Member Functions inherited from gdcm::network::BasePDU
virtual | ~BasePDU ()=default

## Static Public Member Functions

static bool | IsAETitleValid (const char title[16])
| Check whether or not the.

## Protected Member Functions

std::string | GetReserved43_74 () const

## Friends

class | AAssociateACPDU

## Detailed Description

AAssociateRQPDU.

Table 9-11 ASSOCIATE-RQ PDU fields

## Member Typedef Documentation

## PresentationContextArrayType

typedef std::vector<PresentationContextRQ> gdcm::network::AAssociateRQPDU::PresentationContextArrayType

## SizeType

typedef std::vector<PresentationContextRQ>::size_type gdcm::network::AAssociateRQPDU::SizeType

## Constructor & Destructor Documentation

## AAssociateRQPDU() [1/2]

gdcm::network::AAssociateRQPDU::AAssociateRQPDU | ( |  | ) |

Referenced by AAssociateRQPDU().

## AAssociateRQPDU() [2/2]

gdcm::network::AAssociateRQPDU::AAssociateRQPDU | ( | const AAssociateRQPDU & | pdu | ) |

inline

References AAssociateRQPDU().

## Member Function Documentation

## AddPresentationContext()

void gdcm::network::AAssociateRQPDU::AddPresentationContext | ( | PresentationContextRQ const & | pc | ) |

## GetCalledAETitle()

std::string gdcm::network::AAssociateRQPDU::GetCalledAETitle | ( |  | ) | const

inline

## GetCallingAETitle()

std::string gdcm::network::AAssociateRQPDU::GetCallingAETitle | ( |  | ) | const

inline

## GetNumberOfPresentationContext()

SizeType gdcm::network::AAssociateRQPDU::GetNumberOfPresentationContext | ( |  | ) | const

inline

## GetPresentationContext()

PresentationContextRQ const & gdcm::network::AAssociateRQPDU::GetPresentationContext | ( | SizeType | i | ) | const

inline

## GetPresentationContextByAbstractSyntax()

const PresentationContextRQ * gdcm::network::AAssociateRQPDU::GetPresentationContextByAbstractSyntax | ( | AbstractSyntax const & | absyn | ) | const

## GetPresentationContextByID()

const PresentationContextRQ * gdcm::network::AAssociateRQPDU::GetPresentationContextByID | ( | uint8_t | i | ) | const

## GetPresentationContexts()

PresentationContextArrayType const & gdcm::network::AAssociateRQPDU::GetPresentationContexts | ( |  | ) |

inline

## GetReserved43_74()

std::string gdcm::network::AAssociateRQPDU::GetReserved43_74 | ( |  | ) | const

protected

## GetUserInformation()

const UserInformation & gdcm::network::AAssociateRQPDU::GetUserInformation | ( |  | ) | const

inline

## IsAETitleValid()

bool gdcm::network::AAssociateRQPDU::IsAETitleValid | ( | const char | title[16] | ) |

static

Check whether or not the.

Parameters

  title | is a valid AE title

## IsLastFragment()

bool gdcm::network::AAssociateRQPDU::IsLastFragment | ( |  | ) | const

inline override virtual

Implements gdcm::network::BasePDU.

## Print()

void gdcm::network::AAssociateRQPDU::Print | ( | std::ostream & | os | ) | const

override virtual

This function will initialize an AAssociateACPDU from the fields in the AAssociateRQPDU structure

Implements gdcm::network::BasePDU.

## Read()

std::istream & gdcm::network::AAssociateRQPDU::Read | ( | std::istream & | is | ) |

override virtual

Implements gdcm::network::BasePDU.

## SetCalledAETitle()

void gdcm::network::AAssociateRQPDU::SetCalledAETitle | ( | const char | calledaetitle[16] | ) |

Set the Called AE Title.

## SetCallingAETitle()

void gdcm::network::AAssociateRQPDU::SetCallingAETitle | ( | const char | callingaetitle[16] | ) |

Set the Calling AE Title.

## SetUserInformation()

void gdcm::network::AAssociateRQPDU::SetUserInformation | ( | UserInformation const & | ui | ) |

## Size()

size_t gdcm::network::AAssociateRQPDU::Size | ( |  | ) | const

override virtual

Implements gdcm::network::BasePDU.

## Write()

const std::ostream & gdcm::network::AAssociateRQPDU::Write | ( | std::ostream & | os | ) | const

override virtual

Implements gdcm::network::BasePDU.

## Friends And Related Symbol Documentation

## AAssociateACPDU

friend class AAssociateACPDU

friend

References AAssociateACPDU.

Referenced by AAssociateACPDU.

The documentation for this class was generated from the following file:

- gdcmAAssociateRQPDU.h